1. Rowdee1's Avatar
    Hi kids. Well, I have an older phone and right now Im in Brazil. I will get a newer phone when I return, but for now, this it. I need UBER on this thing but PLAYSTORE says its incompatible. I just updated to 4.1.2 and still, no joy. Kind of a problem cause I need UBER and I hate having to constantly ask people to call for me. Is there a solution? Its a Samsung model GT-I9070. Thanks
    08-29-2017 03:34 PM
  2. Mooncatt's Avatar
    With that old of a phone, my guess is you're simply hardware limited. Like how a computer from 20 years ago won't let you play a modern game, assuming you could even install Windows 10.
    08-29-2017 05:46 PM

Similar Threads

  1. How can I share pictures to OneDrive on my Galaxy A5?
    By AC Question in forum Ask a Question
    Replies: 2
    Last Post: 08-29-2017, 05:25 PM
  2. Replies: 1
    Last Post: 08-29-2017, 03:26 PM
  3. how do i backup my apps on the On5
    By AC Question in forum Ask a Question
    Replies: 1
    Last Post: 08-29-2017, 03:03 PM
  4. Replies: 1
    Last Post: 08-29-2017, 03:01 PM
  5. Replies: 1
    Last Post: 08-29-2017, 02:22 PM
LINK TO POST COPIED TO CLIPBOARD